#include <cmath>
#include <string>

using namespace std;

#include "testlib.h"

int main( int argc, char **argv )
{
  registerTestlibCmd(argc, argv);
  string ja = ans.readWord();
  string pa = ouf.readWord();
  if (pa == "OK")
  {
    if (ja == "OK")
      quitf(_ok, "OK");
    else
      quitf(_wa, "OK while not OK");
  }
  else
  {
    if (ja == "OK")
      quitf(_wa, "not OK while OK");
    else
    {
      double x, y;
      sscanf(pa.c_str(), "%lf", &x);
      y = ouf.readReal();
      double w = inf.readReal();
      int n = inf.readInt();
      for (int i = 0; i < n; i++)
      {
        double x0, y0, x1, y1, a, b, c;
        x0 = inf.readReal();
        y0 = inf.readReal();
        x1 = inf.readReal();
        y1 = inf.readReal();
        a = y1 - y0, b = x0 - x1, c = -(x0 * a + y0 * b);
        if (fabs(a * x + b * y + c) / sqrt(a * a + b * b) > 50 + 1e-5)
          quitf(_wa, "covered by plane %d", n);
      }
      quitf(_ok, "point found (%lf %lf)", x, y);
    }
  }
  return 0;
}
