
#include <iostream>
#include <cmath>
using namespace std;

double eps = 0.000000000001;
double eps1 = 0.000000000001;
double eps2 = 0.000000001;
double ABS(double t)
		{
			if(t<0.0) return -t;
				return t;
		}

struct P
	{
		double x,y;
	};			
struct V
	{
		P p1,p2;
			double u,w;
			double A,B,C;
			void compute()
				{
					u = p2.x - p1.x;
					w = p2.y - p1.y;
				//	if(ABS(u) < eps1) u = 0.0;
				//	if(ABS(w) < eps1) w = 0.0;
				}
			void rotate()
				{
					/*double a;
					a = u;
					u = -w;
					w = a;*/
					swap(u,w);
					u = -u;
//					if(ABS(u)<eps1) u = 0.0;
//					if(ABS(w)<eps1) w = 0.0;
				}
			void makeline()
				{
					/*if(p1.x < eps2) p1.x = 0.0;
					if(p1.y < eps2) p1.y = 0.0;
					if(p2.x < eps2) p2.x = 0.0;
					if(p2.y < eps2) p2.y = 0.0;*/
					A = p1.y - p2.y;
					B = p2.x - p1.x;
					C = (p1.x*p2.y)-(p2.x*p1.y); 
				}
			P intersect(V t)
				{	
					double d,d1,d2;
						d = A*t.B - (t.A*B);
						d1 = (-C)*t.B - ((-t.C)*B);
						d2 = A*(-t.C) - (t.A*(-C));
						P h;
						h.x = d1/d;
						h.y = d2/d;
						if(ABS(h.x) < eps1) h.x = 0.0;
						if(ABS(h.y) < eps1) h.y = 0.0;
						return h;
				}
	};
struct V2
	{
		V v1,v2;
	};
V vec[101];
V2 vec2[101];
V rec[303];

int N;
int L;

double dist(P p1,P p2)
	{
		return sqrt((p1.x-p2.x)*(p1.x-p2.x) + (p1.y-p2.y)*(p1.y-p2.y));
	}

P binary(int i)
	{
		double r1,r2;
	/*		cout<<vec[i].p2.x<<" "<<vec[i].p2.y<<endl;
		cout<<vec[i].p1.x<<" "<<vec[i].p1.y<<endl;*/
		double di = dist(vec[i].p1,vec[i].p2);
			//cout<<vec[i].u<<" "<<vec[i].w<<" "<<di<<endl;
			r1 = vec[i].u/di;
			r2 = vec[i].w/di;
			//cout<<r1<<" "<<r2<<" "<<di<<endl;
			//cout<<r1*r1 + r2*r2<<endl;
			r1*=50.0;
			r2*=50.0;
			P h;
			h.x = vec[i].p1.x + r1;
			h.y = vec[i].p1.y + r2;
			return h;
	}

double CP(P p1,P p2,P p3)
		{
			double u,w,u1,w1;
				u = p1.x - p2.x;	
				u1 = p1.x - p3.x;
				w = p1.y - p2.y;
				w1 = p1.y - p3.y;
				//return u*w1 - u1*w;
				double s = u*w1 - u1*w;
					if(ABS(s)<eps2) s=0.0;
				return s;
		}

void input()
	{
		scanf("%d",&L);
		scanf("%d",&N);
			int i;
				for(i=1;i<=N;i++)
					{
						scanf("%lf %lf %lf %lf",&vec[i].p1.x,&vec[i].p1.y,&vec[i].p2.x,&vec[i].p2.y);
						vec[i].compute();
						//cout<<vec[i].u<<" "<<vec[i].w<<endl;
						vec[i].rotate();
						P h = binary(i);
						//printf("%lf %lf %lf\n",h.x,h.y,dist(h,vec[i].p1));	

						vec[i].rotate();
						vec[i].rotate();
						P h1 = binary(i);
						//cout<<h.x<<" "<<h.y<<endl;
						//printf("%lf %lf %lf\n",h1.x,h1.y,dist(h1,vec[i].p1));	
						vec2[i].v1.p1 = h;
						vec2[i].v1.p2 = vec[i].p1;
						vec2[i].v1.compute();
						vec2[i].v1.rotate();
						vec2[i].v2.p1 = h1;
						vec2[i].v2.p2 = vec[i].p1;
						vec2[i].v2.compute();
						vec2[i].v2.rotate();
						vec2[i].v2.rotate();
						vec2[i].v2.rotate();
						double r1,r2;
					//		r1 = 
						vec2[i].v1.p2.x = vec2[i].v1.p1.x + vec2[i].v1.u*10.0;
						vec2[i].v1.p2.y = vec2[i].v1.p1.y + vec2[i].v1.w*10.0;
						vec2[i].v1.p1.x = vec2[i].v1.p1.x + vec2[i].v1.u*(-10.0);
						vec2[i].v1.p1.y = vec2[i].v1.p1.y + vec2[i].v1.w*(-10.0);
						vec2[i].v2.p2.x = vec2[i].v2.p1.x + vec2[i].v2.u*10.0;
						vec2[i].v2.p2.y = vec2[i].v2.p1.y + vec2[i].v2.w*10.00;
						vec2[i].v2.p1.x = vec2[i].v2.p1.x + vec2[i].v2.u*(-10.0);
						vec2[i].v2.p1.y = vec2[i].v2.p1.y + vec2[i].v2.w*(-10.0);
	
						//vec2[i].v1.makeline();
						//vec2[i].v2.makeline();
//cout<<vec2[i].v1.p1.x<<" "<<vec2[i].v1.p1.y<<" "<<vec2[i].v1.p2.x<<" "<<vec2[i].v1.p2.y<<endl;
						//cout<<vec[i].p1.x + vec[i].u<<" "<<vec[i].p1.y + vec[i].w<<endl;
					}				
				vec2[N+1].v1.p1.x = -1.0;
				vec2[N+1].v1.p1.y = 0.0;
				vec2[N+1].v1.p2.x = L+1;
				vec2[N+1].v1.p2.y = 0.0;
				vec2[N+1].v2.p1.x = -1.0;
				vec2[N+1].v2.p1.y = L;
				vec2[N+1].v2.p2.x = L+1;
				vec2[N+1].v2.p2.y = L;
				vec2[N+1].v1.compute();
				vec2[N+1].v2.compute();
				vec2[N+1].v1.makeline();
				vec2[N+1].v2.makeline();


				vec2[N+2].v1.p1.x = 0.0;
				vec2[N+2].v1.p1.y = -1.0;
				vec2[N+2].v1.p2.x = 0.0;
				vec2[N+2].v1.p2.y = L+1;
				vec2[N+2].v2.p1.x = L;
				vec2[N+2].v2.p1.y = -1.0;
				vec2[N+2].v2.p2.x = L;
				vec2[N+2].v2.p2.y = L+1;
				vec2[N+2].v1.makeline();
				vec2[N+2].v2.makeline();
	
				vec2[N+2].v1.compute();
				vec2[N+2].v2.compute();
					
					for(i=1;i<=N+2;i++)
						{
							rec[i] = vec2[i].v1;
							rec[N+2+i] = vec2[i].v2;
							rec[i].makeline();
							rec[N+2+i].makeline();
							
						}

	}



void solve()
	{
			int i,j;
//				for(i=1;i<=2*N+4;i++)
//					cout<<i<<" ---------> "<<rec[i].p1.x<<" "<<rec[i].p1.y<<" "<<rec[i].p2.x<<" "<<rec[i].p2.y<<endl;
			//		printf("%d --------> %.5lf %.5lf %.5lf %.5lf\n",i,rec[i].p1.x,rec[i].p1.y,rec[i].p2.x,rec[i].p2.y);
				//cout<<"Before Blah"<<endl;
					for(i=1;i<=2*N+4;i++)
						for(j=i+1;j<=2*N+4;j++)
							{
								if(i==j) continue;
							//	cout<<i<<" "<<j<<" "<<rec[i].A*rec[j].B<<" "<<rec[j].A*rec[i].B<<endl;
								if(ABS((rec[i].A*rec[j].B) - (rec[j].A*rec[i].B))<eps1) continue;
								P h = rec[i].intersect(rec[j]);
									if(h.x > L || h.x < 0.0 || h.y > L || h.y< 0.0) continue;
									//printf("%d ---> %d %lf %lf\n",i,j,h.x,h.y);
									V t,t1;
									t.p1 = h;
									t.p2 = rec[i].p1;
									t1.p1 = h;
									t1.p2 = rec[j].p1;
									t.compute();
									t1.compute();
									double r1,r2;	
									r1 = t.u + t1.u;
									r2 = t.w + t1.w;	
									V r3;	
										r3.p1 = h;
										r3.p2.x = h.x + (0.00000001)*r1;
										r3.p2.y = h.y + (0.00000001)*r2;
										r3.compute();
									int q;
									for(q=1;q<=4;q++)
										{
											r3.rotate();
												P tr;
													tr.x = r3.p1.x + r3.u;
													tr.y = r3.p1.y + r3.w;
											//		printf("%.3lf %.3lf\n",tr.x,tr.y);
												int l;
												if(tr.x > L || tr.x < 0.0 || tr.y > L || tr.y< 0.0) continue;
														bool s = 0;
														for(l=1;l<=N;l++)
														{
																if(CP(tr,vec2[l].v1.p1,vec2[l].v1.p2)*CP(tr,vec2[l].v2.p1,vec2[l].v2.p2)<eps2) {s=1; break;}
															}
														if(s == 0) { printf("%.13lf %.13lf\n",tr.x,tr.y); return;}
										}
									 
							}
		printf("NO WAY\n");
	}


int main()
{
input();
solve();
return 0;
}
